Osi 0.107.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CoinModelHash Class Reference

`#include <CoinModelUseful.hpp>`

Collaboration diagram for CoinModelHash:
[legend]

## Public Member Functions
Constructors, destructor
| CoinModelHash ()
| Default constructor. More...
| ~CoinModelHash ()
| Destructor. More...
Copy method
| CoinModelHash (const CoinModelHash &)
| The copy constructor. More...
CoinModelHash & | operator= (const CoinModelHash &)
| = More...
sizing (just increases)
void | resize (int maxItems, bool forceReHash=false)
| Resize hash (also re-hashs) More...
int | numberItems () const
| Number of items i.e. rows if just row names. More...
void | setNumberItems (int number)
| Set number of items. More...
int | maximumItems () const
| Maximum number of items. More...
const char *const * | names () const
| Names. More...

## Private Attributes
Data members
char ** | names_
| Names. More...
CoinModelHashLink * | hash_
| hash More...
int | numberItems_
| Number of items. More...
int | maximumItems_
| Maximum number of items. More...
int | lastSlot_
| Last slot looked at. More...

## hashing
int | hash (const char *name) const
| Returns index or -1. More...
void | addHash (int index, const char *name)
| Adds to hash. More...
void | deleteHash (int index)
| Deletes from hash. More...
const char * | name (int which) const
| Returns name at position (or NULL) More...
char * | getName (int which) const
| Returns non const name at position (or NULL) More...
void | setName (int which, char *name)
| Sets name at position (does not create) More...
void | validateHash () const
| Validates. More...
int | hashValue (const char *name) const
| Returns a hash value. More...

## Detailed Description

Definition at line 180 of file CoinModelUseful.hpp.

## Constructor & Destructor Documentation

CoinModelHash::CoinModelHash | ( |  | ) |

Default constructor.

CoinModelHash::~CoinModelHash | ( |  | ) |

Destructor.

CoinModelHash::CoinModelHash | ( | const CoinModelHash & |  | ) |

The copy constructor.

## Member Function Documentation

CoinModelHash& CoinModelHash::operator= | ( | const CoinModelHash & |  | ) |

=

void CoinModelHash::resize | ( | int | maxItems,
|  | bool | forceReHash = `false`
| ) |  |

Resize hash (also re-hashs)

int CoinModelHash::numberItems | ( |  | ) | const
| inline

Number of items i.e. rows if just row names.

Definition at line 204 of file CoinModelUseful.hpp.

void CoinModelHash::setNumberItems | ( | int | number | ) |

Set number of items.

int CoinModelHash::maximumItems | ( |  | ) | const
| inline

Maximum number of items.

Definition at line 209 of file CoinModelUseful.hpp.

const char* const* CoinModelHash::names | ( |  | ) | const
| inline

Names.

Definition at line 212 of file CoinModelUseful.hpp.

int CoinModelHash::hash | ( | const char * | name | ) | const

Returns index or -1.

void CoinModelHash::addHash | ( | int | index,
|  | const char * | name
| ) |  |

Adds to hash.

void CoinModelHash::deleteHash | ( | int | index | ) |

Deletes from hash.

const char* CoinModelHash::name | ( | int | which | ) | const

Returns name at position (or NULL)

char* CoinModelHash::getName | ( | int | which | ) | const

Returns non const name at position (or NULL)

void CoinModelHash::setName | ( | int | which,
|  | char * | name
| ) |  |

Sets name at position (does not create)

void CoinModelHash::validateHash | ( |  | ) | const

Validates.

int CoinModelHash::hashValue | ( | const char * | name | ) | const
| private

Returns a hash value.

## Member Data Documentation

char** CoinModelHash::names_
| private

Names.

Definition at line 241 of file CoinModelUseful.hpp.

CoinModelHashLink* CoinModelHash::hash_
| private

hash

Definition at line 243 of file CoinModelUseful.hpp.

int CoinModelHash::numberItems_
| private

Number of items.

Definition at line 245 of file CoinModelUseful.hpp.

int CoinModelHash::maximumItems_
| private

Maximum number of items.

Definition at line 247 of file CoinModelUseful.hpp.

int CoinModelHash::lastSlot_
| private

Last slot looked at.

Definition at line 249 of file CoinModelUseful.hpp.

The documentation for this class was generated from the following file:

- /tmp/Osi-0.107.7/CoinUtils/src/CoinModelUseful.hpp